Index: doc/latex/sim__var__arx_8cpp__incl.eps
===================================================================
--- doc/latex/sim__var__arx_8cpp__incl.eps (revision 145)
+++ doc/latex/sim__var__arx_8cpp__incl.eps (revision 181)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sat Aug 16 05:41:32 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,49 +180,49 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 418 298
+%%PageBoundingBox: 36 36 492 356
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 382 262 boxprim clip newpath
+36 36 456 320 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 0 232 moveto
-0 253 lineto
-200 253 lineto
-200 232 lineto
+newpath 5 290 moveto
+5 311 lineto
+205 311 lineto
+205 290 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 232 moveto
-0 253 lineto
-200 253 lineto
-200 232 lineto
+newpath 5 290 moveto
+5 311 lineto
+205 311 lineto
+205 290 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-8 239.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+13 297.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
 grestore
 % Node2
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 131 0 moveto
-131 21 lineto
-206 21 lineto
-206 0 lineto
+newpath 167 0 moveto
+167 21 lineto
+242 21 lineto
+242 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 131 0 moveto
-131 21 lineto
-206 21 lineto
-206 0 lineto
+newpath 167 0 moveto
+167 21 lineto
+242 21 lineto
+242 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-138.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+174.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node1->Node2
@@ -231,25 +231,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 86 232 moveto
-76 223 63 210 56 196 curveto
-30 140 18 106 55 58 curveto
-72 37 98 25 121 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.43 22.23 moveto
-131 16 lineto
-120.42 15.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.43 22.23 moveto
-131 16 lineto
-120.42 15.52 lineto
+newpath 84 290 moveto
+53 272 0 234 0 185 curveto
+0 185 0 185 0 127 curveto
+0 55 97 27 157 17 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 157.88 20.39 moveto
+167 15 lineto
+156.51 13.53 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 157.88 20.39 moveto
+167 15 lineto
+156.51 13.53 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 65 175 135 195 ]
+[ /Rect [ 70 233 140 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($arx_8h.html) >>
@@ -257,20 +257,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 65 174 moveto
-65 195 lineto
-135 195 lineto
-135 174 lineto
+newpath 70 232 moveto
+70 253 lineto
+140 253 lineto
+140 232 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 65 174 moveto
-65 195 lineto
-135 195 lineto
-135 174 lineto
+newpath 70 232 moveto
+70 253 lineto
+140 253 lineto
+140 232 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-73 181.5 moveto 54 (estim/arx.h) alignedtext
+78 239.5 moveto 54 (estim/arx.h) alignedtext
 grestore
 % Node1->Node3
@@ -279,23 +279,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 100 232 moveto
-100 224 100 214 100 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.5 205 moveto
-100 195 lineto
-96.5 205 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.5 205 moveto
-100 195 lineto
-96.5 205 lineto
+newpath 105 290 moveto
+105 282 105 272 105 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.5 263 moveto
+105 253 lineto
+101.5 263 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.5 263 moveto
+105 253 lineto
+101.5 263 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 277 117 359 137 ]
+[ /Rect [ 200 117 282 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($loggers_8h.html) >>
@@ -303,20 +303,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 277 116 moveto
-277 137 lineto
-359 137 lineto
-359 116 lineto
+newpath 200 116 moveto
+200 137 lineto
+282 137 lineto
+282 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 277 116 moveto
-277 137 lineto
-359 137 lineto
-359 116 lineto
+newpath 200 116 moveto
+200 137 lineto
+282 137 lineto
+282 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-285 123.5 moveto 66 (stat/loggers.h) alignedtext
+208 123.5 moveto 66 (stat/loggers.h) alignedtext
 grestore
 % Node1->Node9
@@ -325,18 +325,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 121 232 moveto
-160 211 246 166 290 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 291.96 144.92 moveto
-299 137 lineto
-288.56 138.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 291.96 144.92 moveto
-299 137 lineto
-288.56 138.8 lineto
+newpath 116 290 moveto
+125 280 138 267 149 254 curveto
+179 217 211 170 228 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 230.8 147.1 moveto
+234 137 lineto
+225.2 142.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 230.8 147.1 moveto
+234 137 lineto
+225.2 142.9 lineto
 closepath stroke
 grestore
@@ -346,25 +347,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 83 174 moveto
-72 165 59 153 52 138 curveto
-43 116 62 63 66 58 curveto
-80 41 102 30 121 22 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.43 25.23 moveto
-131 19 lineto
-120.42 18.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.43 25.23 moveto
-131 19 lineto
-120.42 18.52 lineto
+newpath 95 232 moveto
+76 210 39 158 57 116 curveto
+77 70 129 40 166 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 167.28 28.26 moveto
+175 21 lineto
+164.44 21.86 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 167.28 28.26 moveto
+175 21 lineto
+164.44 21.86 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 61 117 139 137 ]
+[ /Rect [ 66 117 144 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -372,20 +372,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 61 116 moveto
-61 137 lineto
-140 137 lineto
-140 116 lineto
+newpath 66 116 moveto
+66 137 lineto
+145 137 lineto
+145 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 61 116 moveto
-61 137 lineto
-140 137 lineto
-140 116 lineto
+newpath 66 116 moveto
+66 137 lineto
+145 137 lineto
+145 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-68.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
+73.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
 grestore
 % Node3->Node4
@@ -394,23 +394,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 100 174 moveto
-100 166 100 156 100 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.5 147 moveto
-100 137 lineto
-96.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.5 147 moveto
-100 137 lineto
-96.5 147 lineto
+newpath 105 232 moveto
+105 213 105 172 105 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 108.5 147 moveto
+105 137 lineto
+101.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108.5 147 moveto
+105 137 lineto
+101.5 147 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 173 117 249 137 ]
+[ /Rect [ 272 175 348 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -418,20 +418,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 173 116 moveto
-173 137 lineto
-249 137 lineto
-249 116 lineto
+newpath 272 174 moveto
+272 195 lineto
+348 195 lineto
+348 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 173 116 moveto
-173 137 lineto
-249 137 lineto
-249 116 lineto
+newpath 272 174 moveto
+272 195 lineto
+348 195 lineto
+348 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-181 123.5 moveto 60 (../stat/libEF.h) alignedtext
+280 181.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
 % Node3->Node6
@@ -440,18 +440,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 121 174 moveto
-138 165 163 151 183 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 184.96 144.92 moveto
-192 137 lineto
-181.56 138.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 184.96 144.92 moveto
-192 137 lineto
-181.56 138.8 lineto
+newpath 140 233 moveto
+175 223 227 209 264 198 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 265.43 201.23 moveto
+274 195 lineto
+263.42 194.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 265.43 201.23 moveto
+274 195 lineto
+263.42 194.52 lineto
 closepath stroke
 grestore
@@ -461,24 +461,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 90 116 moveto
-78 102 61 76 73 58 curveto
-84 40 103 29 121 22 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.43 25.23 moveto
-131 19 lineto
-120.42 18.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.43 25.23 moveto
-131 19 lineto
-120.42 18.52 lineto
+newpath 109 116 moveto
+115 101 126 76 142 58 curveto
+152 46 166 35 178 27 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 180.1 29.8 moveto
+186 21 lineto
+175.9 24.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 180.1 29.8 moveto
+186 21 lineto
+175.9 24.2 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 186 59 236 79 ]
+[ /Rect [ 151 59 201 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -486,20 +486,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 186 58 moveto
-186 79 lineto
-237 79 lineto
-237 58 lineto
+newpath 151 58 moveto
+151 79 lineto
+202 79 lineto
+202 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 186 58 moveto
-186 79 lineto
-237 79 lineto
-237 58 lineto
+newpath 151 58 moveto
+151 79 lineto
+202 79 lineto
+202 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-193.5 65.5 moveto 35 (libBM.h) alignedtext
+158.5 65.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node4->Node5
@@ -508,18 +508,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 121 116 moveto
-138 107 163 93 183 84 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 184.96 86.92 moveto
-192 79 lineto
-181.56 80.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 184.96 86.92 moveto
-192 79 lineto
-181.56 80.8 lineto
+newpath 119 116 moveto
+130 107 144 95 156 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.1 87.8 moveto
+164 79 lineto
+153.9 82.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.1 87.8 moveto
+164 79 lineto
+153.9 82.2 lineto
 closepath stroke
 grestore
@@ -529,18 +529,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 203 58 moveto
-197 50 188 38 181 29 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 183.8 26.9 moveto
-175 21 lineto
-178.2 31.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 183.8 26.9 moveto
-175 21 lineto
-178.2 31.1 lineto
+newpath 181 58 moveto
+185 50 190 39 195 30 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 198.14 31.56 moveto
+199 21 lineto
+191.74 28.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 198.14 31.56 moveto
+199 21 lineto
+191.74 28.72 lineto
 closepath stroke
 grestore
@@ -550,19 +550,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 223 116 moveto
-237 102 256 77 245 58 curveto
-237 43 222 33 207 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 208.56 21.86 moveto
-198 21 lineto
-205.72 28.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 208.56 21.86 moveto
-198 21 lineto
-205.72 28.26 lineto
+newpath 308 174 moveto
+306 159 300 135 291 116 curveto
+272 82 241 48 222 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 224.55 25.6 moveto
+215 21 lineto
+219.6 30.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 224.55 25.6 moveto
+215 21 lineto
+219.6 30.55 lineto
 closepath stroke
 grestore
@@ -572,23 +572,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 211 116 moveto
-211 108 211 98 211 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 214.5 89 moveto
-211 79 lineto
-207.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 214.5 89 moveto
-211 79 lineto
-207.5 89 lineto
+newpath 272 179 moveto
+245 174 211 162 191 138 curveto
+179 124 176 104 175 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 178.5 89 moveto
+175 79 lineto
+171.5 89 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 178.5 89 moveto
+175 79 lineto
+171.5 89 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 82 59 168 79 ]
+[ /Rect [ 338 117 424 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -596,20 +597,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 82 58 moveto
-82 79 lineto
-169 79 lineto
-169 58 lineto
+newpath 338 116 moveto
+338 137 lineto
+425 137 lineto
+425 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 82 58 moveto
-82 79 lineto
-169 79 lineto
-169 58 lineto
+newpath 338 116 moveto
+338 137 lineto
+425 137 lineto
+425 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-89.5 65.5 moveto 71 (../math/libDC.h) alignedtext
+345.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node6->Node7
@@ -618,23 +619,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 194 116 moveto
-181 107 163 94 148 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 150.1 82.2 moveto
-140 79 lineto
-145.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150.1 82.2 moveto
-140 79 lineto
-145.9 87.8 lineto
+newpath 324 174 moveto
+335 165 349 153 361 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 363.1 145.8 moveto
+369 137 lineto
+358.9 140.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 363.1 145.8 moveto
+369 137 lineto
+358.9 140.2 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 292 59 364 79 ]
+[ /Rect [ 376 59 448 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -642,20 +643,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 292 58 moveto
-292 79 lineto
-364 79 lineto
-364 58 lineto
+newpath 376 58 moveto
+376 79 lineto
+448 79 lineto
+448 58 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 292 58 moveto
-292 79 lineto
-364 79 lineto
-364 58 lineto
+newpath 376 58 moveto
+376 79 lineto
+448 79 lineto
+448 58 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-300 65.5 moveto 56 (../itpp_ext.h) alignedtext
+384 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node6->Node8
@@ -664,18 +665,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 233 116 moveto
-252 107 278 93 299 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 300.28 86.26 moveto
-308 79 lineto
-297.44 79.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 300.28 86.26 moveto
-308 79 lineto
-297.44 79.86 lineto
+newpath 348 175 moveto
+380 167 423 152 433 138 curveto
+444 122 435 102 426 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 428.46 85.38 moveto
+420 79 lineto
+422.63 89.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 428.46 85.38 moveto
+420 79 lineto
+422.63 89.26 lineto
 closepath stroke
 grestore
@@ -685,18 +687,40 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 133 58 moveto
-139 50 148 38 155 29 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 157.8 31.1 moveto
-161 21 lineto
-152.2 26.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 157.8 31.1 moveto
-161 21 lineto
-152.2 26.9 lineto
+newpath 374 116 moveto
+365 101 346 74 324 58 curveto
+302 42 275 31 252 23 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 252.58 19.52 moveto
+242 20 lineto
+250.57 26.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 252.58 19.52 moveto
+242 20 lineto
+250.57 26.23 lineto
+closepath stroke
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 387 116 moveto
+391 108 397 97 402 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 405.2 89.44 moveto
+407 79 lineto
+399.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 405.2 89.44 moveto
+407 79 lineto
+399.08 86.04 lineto
 closepath stroke
 grestore
@@ -706,18 +730,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 298 58 moveto
-271 48 233 34 206 24 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 206.58 20.52 moveto
-196 21 lineto
-204.57 27.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 206.58 20.52 moveto
-196 21 lineto
-204.57 27.23 lineto
+newpath 376 59 moveto
+341 49 288 35 250 24 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 250.58 20.52 moveto
+240 21 lineto
+248.57 27.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 250.58 20.52 moveto
+240 21 lineto
+248.57 27.23 lineto
 closepath stroke
 grestore
@@ -727,19 +751,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 337 116 moveto
-359 102 389 78 373 58 curveto
-353 34 271 21 216 15 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 216.3 11.51 moveto
-206 14 lineto
-215.6 18.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 216.3 11.51 moveto
-206 14 lineto
-215.6 18.48 lineto
+newpath 237 116 moveto
+231 97 218 56 210 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 213.23 29.57 moveto
+207 21 lineto
+206.52 31.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 213.23 29.57 moveto
+207 21 lineto
+206.52 31.58 lineto
 closepath stroke
 grestore
@@ -749,18 +772,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 298 116 moveto
-281 107 257 94 239 84 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 240.44 80.8 moveto
-230 79 lineto
-237.04 86.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 240.44 80.8 moveto
-230 79 lineto
-237.04 86.92 lineto
+newpath 228 116 moveto
+219 107 206 95 195 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 196.83 82.95 moveto
+187 79 lineto
+192.22 88.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 196.83 82.95 moveto
+187 79 lineto
+192.22 88.22 lineto
 closepath stroke
 grestore
@@ -770,18 +793,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 320 116 moveto
-321 108 323 98 325 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 328.49 89.3 moveto
-326 79 lineto
-321.52 88.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 328.49 89.3 moveto
-326 79 lineto
-321.52 88.6 lineto
+newpath 274 116 moveto
+302 106 343 92 372 82 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 373.43 85.23 moveto
+382 79 lineto
+371.42 78.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 373.43 85.23 moveto
+382 79 lineto
+371.42 78.52 lineto
 closepath stroke
 grestore
@@ -793,5 +816,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 418 298
+%%BoundingBox: 36 36 492 356
 end
 restore