Index: doc/latex/sim__var__arx_8cpp__incl.eps
===================================================================
--- doc/latex/sim__var__arx_8cpp__incl.eps (revision 181)
+++ doc/latex/sim__var__arx_8cpp__incl.eps (revision 210)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Sat Aug 16 05:41:32 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sun Oct 12 22:28:10 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,49 +180,49 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 492 356
+%%PageBoundingBox: 36 36 447 356
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 456 320 boxprim clip newpath
+36 36 411 320 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 5 290 moveto
-5 311 lineto
-205 311 lineto
-205 290 lineto
+newpath 58 290 moveto
+58 311 lineto
+258 311 lineto
+258 290 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 5 290 moveto
-5 311 lineto
-205 311 lineto
-205 290 lineto
+newpath 58 290 moveto
+58 311 lineto
+258 311 lineto
+258 290 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-13 297.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+66 297.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
 grestore
 % Node2
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 167 0 moveto
-167 21 lineto
-242 21 lineto
-242 0 lineto
+newpath 142 0 moveto
+142 21 lineto
+217 21 lineto
+217 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 167 0 moveto
-167 21 lineto
-242 21 lineto
-242 0 lineto
+newpath 142 0 moveto
+142 21 lineto
+217 21 lineto
+217 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-174.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+149.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node1->Node2
@@ -231,25 +231,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 84 290 moveto
-53 272 0 234 0 185 curveto
+newpath 116 290 moveto
+69 275 0 243 0 185 curveto
 0 185 0 185 0 127 curveto
-0 55 97 27 157 17 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 157.88 20.39 moveto
-167 15 lineto
-156.51 13.53 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 157.88 20.39 moveto
-167 15 lineto
-156.51 13.53 lineto
+0 64 79 34 132 20 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 132.88 23.39 moveto
+142 18 lineto
+131.51 16.53 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 132.88 23.39 moveto
+142 18 lineto
+131.51 16.53 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 70 233 140 253 ]
+[ /Rect [ 123 233 193 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($arx_8h.html) >>
@@ -257,20 +257,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 70 232 moveto
-70 253 lineto
-140 253 lineto
-140 232 lineto
+newpath 123 232 moveto
+123 253 lineto
+193 253 lineto
+193 232 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 70 232 moveto
-70 253 lineto
-140 253 lineto
-140 232 lineto
+newpath 123 232 moveto
+123 253 lineto
+193 253 lineto
+193 232 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-78 239.5 moveto 54 (estim/arx.h) alignedtext
+131 239.5 moveto 54 (estim/arx.h) alignedtext
 grestore
 % Node1->Node3
@@ -279,23 +279,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 105 290 moveto
-105 282 105 272 105 263 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 108.5 263 moveto
-105 253 lineto
-101.5 263 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 108.5 263 moveto
-105 253 lineto
-101.5 263 lineto
+newpath 158 290 moveto
+158 282 158 272 158 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.5 263 moveto
+158 253 lineto
+154.5 263 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.5 263 moveto
+158 253 lineto
+154.5 263 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 200 117 282 137 ]
+[ /Rect [ 321 175 403 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($loggers_8h.html) >>
@@ -303,20 +303,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 200 116 moveto
-200 137 lineto
-282 137 lineto
-282 116 lineto
+newpath 321 174 moveto
+321 195 lineto
+403 195 lineto
+403 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 200 116 moveto
-200 137 lineto
-282 137 lineto
-282 116 lineto
+newpath 321 174 moveto
+321 195 lineto
+403 195 lineto
+403 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-208 123.5 moveto 66 (stat/loggers.h) alignedtext
+329 181.5 moveto 66 (stat/loggers.h) alignedtext
 grestore
 % Node1->Node9
@@ -325,19 +325,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 116 290 moveto
-125 280 138 267 149 254 curveto
-179 217 211 170 228 145 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 230.8 147.1 moveto
-234 137 lineto
-225.2 142.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 230.8 147.1 moveto
-234 137 lineto
-225.2 142.9 lineto
+newpath 178 290 moveto
+215 270 294 224 335 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 336.96 202.92 moveto
+344 195 lineto
+333.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 336.96 202.92 moveto
+344 195 lineto
+333.56 196.8 lineto
 closepath stroke
 grestore
@@ -347,24 +346,26 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 95 232 moveto
-76 210 39 158 57 116 curveto
-77 70 129 40 166 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 167.28 28.26 moveto
-175 21 lineto
-164.44 21.86 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 167.28 28.26 moveto
-175 21 lineto
-164.44 21.86 lineto
+newpath 144 232 moveto
+134 223 121 210 111 196 curveto
+91 165 83 152 89 116 curveto
+94 88 95 79 111 58 curveto
+122 45 136 34 149 26 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 150.96 28.92 moveto
+158 21 lineto
+147.56 22.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150.96 28.92 moveto
+158 21 lineto
+147.56 22.8 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 66 117 144 137 ]
+[ /Rect [ 225 175 303 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -372,20 +373,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-145 137 lineto
-145 116 lineto
+newpath 225 174 moveto
+225 195 lineto
+304 195 lineto
+304 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-145 137 lineto
-145 116 lineto
+newpath 225 174 moveto
+225 195 lineto
+304 195 lineto
+304 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-73.5 123.5 moveto 63 (../stat/libFN.h) alignedtext
+232.5 181.5 moveto 63 (../stat/libFN.h) alignedtext
 grestore
 % Node3->Node4
@@ -394,23 +395,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 105 232 moveto
-105 213 105 172 105 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 108.5 147 moveto
-105 137 lineto
-101.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 108.5 147 moveto
-105 137 lineto
-101.5 147 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 272 175 348 195 ]
+newpath 178 232 moveto
+195 223 219 210 237 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 238.96 202.92 moveto
+246 195 lineto
+235.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 238.96 202.92 moveto
+246 195 lineto
+235.56 196.8 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 120 175 196 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -418,40 +419,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 272 174 moveto
-272 195 lineto
-348 195 lineto
-348 174 lineto
+newpath 120 174 moveto
+120 195 lineto
+196 195 lineto
+196 174 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 272 174 moveto
-272 195 lineto
-348 195 lineto
-348 174 lineto
+newpath 120 174 moveto
+120 195 lineto
+196 195 lineto
+196 174 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-280 181.5 moveto 60 (../stat/libEF.h) alignedtext
-grestore
-% Node3->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 140 233 moveto
-175 223 227 209 264 198 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 265.43 201.23 moveto
-274 195 lineto
-263.42 194.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 265.43 201.23 moveto
-274 195 lineto
-263.42 194.52 lineto
+128 181.5 moveto 60 (../stat/libEF.h) alignedtext
+grestore
+% Node3->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158 232 moveto
+158 224 158 214 158 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.5 205 moveto
+158 195 lineto
+154.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.5 205 moveto
+158 195 lineto
+154.5 205 lineto
 closepath stroke
 grestore
@@ -461,24 +462,26 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 109 116 moveto
-115 101 126 76 142 58 curveto
-152 46 166 35 178 27 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 180.1 29.8 moveto
-186 21 lineto
-175.9 24.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180.1 29.8 moveto
-186 21 lineto
-175.9 24.2 lineto
+newpath 277 174 moveto
+287 165 299 152 305 138 curveto
+308 128 307 125 305 116 curveto
+297 87 294 78 274 58 curveto
+259 44 239 33 221 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 221.58 21.46 moveto
+211 21 lineto
+218.98 27.96 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 221.58 21.46 moveto
+211 21 lineto
+218.98 27.96 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 151 59 201 79 ]
+[ /Rect [ 246 117 296 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -486,20 +489,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 151 58 moveto
-151 79 lineto
-202 79 lineto
-202 58 lineto
+newpath 246 116 moveto
+246 137 lineto
+297 137 lineto
+297 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 151 58 moveto
-151 79 lineto
-202 79 lineto
-202 58 lineto
+newpath 246 116 moveto
+246 137 lineto
+297 137 lineto
+297 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-158.5 65.5 moveto 35 (libBM.h) alignedtext
+253.5 123.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node4->Node5
@@ -508,18 +511,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 119 116 moveto
-130 107 144 95 156 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 158.1 87.8 moveto
-164 79 lineto
-153.9 82.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158.1 87.8 moveto
-164 79 lineto
-153.9 82.2 lineto
+newpath 265 174 moveto
+266 166 267 156 268 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 271.47 147.49 moveto
+270 137 lineto
+264.61 146.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 271.47 147.49 moveto
+270 137 lineto
+264.61 146.12 lineto
 closepath stroke
 grestore
@@ -529,18 +532,65 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 181 58 moveto
-185 50 190 39 195 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 198.14 31.56 moveto
-199 21 lineto
-191.74 28.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 198.14 31.56 moveto
-199 21 lineto
-191.74 28.72 lineto
+newpath 271 116 moveto
+271 101 268 75 256 58 curveto
+245 44 230 33 215 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 175 59 247 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 175 58 moveto
+175 79 lineto
+247 79 lineto
+247 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 175 58 moveto
+175 79 lineto
+247 79 lineto
+247 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+183 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 259 116 moveto
+250 107 239 96 229 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 230.83 82.95 moveto
+221 79 lineto
+226.22 88.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 230.83 82.95 moveto
+221 79 lineto
+226.22 88.22 lineto
 closepath stroke
 grestore
@@ -550,46 +600,89 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 308 174 moveto
-306 159 300 135 291 116 curveto
-272 82 241 48 222 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 224.55 25.6 moveto
-215 21 lineto
-219.6 30.55 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 224.55 25.6 moveto
-215 21 lineto
-219.6 30.55 lineto
-closepath stroke
-grestore
-% Node6->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 272 179 moveto
-245 174 211 162 191 138 curveto
-179 124 176 104 175 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 178.5 89 moveto
-175 79 lineto
-171.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178.5 89 moveto
-175 79 lineto
-171.5 89 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 338 117 424 137 ]
+newpath 205 58 moveto
+201 50 195 39 190 30 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 192.92 28.04 moveto
+185 21 lineto
+186.8 31.44 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 192.92 28.04 moveto
+185 21 lineto
+186.8 31.44 lineto
+closepath stroke
+grestore
+% Node7->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 174 moveto
+120 166 103 154 95 138 curveto
+91 129 92 125 95 116 curveto
+107 80 138 47 159 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 161.78 30.22 moveto
+167 21 lineto
+157.17 24.95 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 161.78 30.22 moveto
+167 21 lineto
+157.17 24.95 lineto
+closepath stroke
+grestore
+% Node7->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 180 174 moveto
+197 165 222 151 242 142 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 243.96 144.92 moveto
+251 137 lineto
+240.56 138.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 243.96 144.92 moveto
+251 137 lineto
+240.56 138.8 lineto
+closepath stroke
+grestore
+% Node7->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 171 174 moveto
+180 165 192 152 199 138 curveto
+206 122 209 103 210 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 213.49 89.3 moveto
+211 79 lineto
+206.52 88.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 213.49 89.3 moveto
+211 79 lineto
+206.52 88.6 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 104 117 190 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -597,110 +690,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 338 116 moveto
-338 137 lineto
-425 137 lineto
-425 116 lineto
+newpath 104 116 moveto
+104 137 lineto
+191 137 lineto
+191 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 338 116 moveto
-338 137 lineto
-425 137 lineto
-425 116 lineto
+newpath 104 116 moveto
+104 137 lineto
+191 137 lineto
+191 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-345.5 123.5 moveto 71 (../math/libDC.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 324 174 moveto
-335 165 349 153 361 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 363.1 145.8 moveto
-369 137 lineto
-358.9 140.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 363.1 145.8 moveto
-369 137 lineto
-358.9 140.2 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 376 59 448 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 376 58 moveto
-376 79 lineto
-448 79 lineto
-448 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 376 58 moveto
-376 79 lineto
-448 79 lineto
-448 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-384 65.5 moveto 56 (../itpp_ext.h) alignedtext
-grestore
-% Node6->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 348 175 moveto
-380 167 423 152 433 138 curveto
-444 122 435 102 426 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 428.46 85.38 moveto
-420 79 lineto
-422.63 89.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 428.46 85.38 moveto
-420 79 lineto
-422.63 89.26 lineto
-closepath stroke
-grestore
-% Node7->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 374 116 moveto
-365 101 346 74 324 58 curveto
-302 42 275 31 252 23 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 252.58 19.52 moveto
-242 20 lineto
-250.57 26.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 252.58 19.52 moveto
-242 20 lineto
-250.57 26.23 lineto
-closepath stroke
+111.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node7->Node8
@@ -709,18 +712,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 387 116 moveto
-391 108 397 97 402 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 405.2 89.44 moveto
-407 79 lineto
-399.08 86.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 405.2 89.44 moveto
-407 79 lineto
-399.08 86.04 lineto
+newpath 156 174 moveto
+155 166 153 156 151 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 154.39 146.12 moveto
+149 137 lineto
+147.53 147.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154.39 146.12 moveto
+149 137 lineto
+147.53 147.49 lineto
 closepath stroke
 grestore
@@ -730,18 +733,40 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 376 59 moveto
-341 49 288 35 250 24 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 250.58 20.52 moveto
-240 21 lineto
-248.57 27.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 250.58 20.52 moveto
-240 21 lineto
-248.57 27.23 lineto
+newpath 150 116 moveto
+154 102 161 78 166 58 curveto
+168 49 171 39 173 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 176.48 31.58 moveto
+176 21 lineto
+169.77 29.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 176.48 31.58 moveto
+176 21 lineto
+169.77 29.57 lineto
+closepath stroke
+grestore
+% Node8->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159 116 moveto
+169 107 182 95 193 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 195.4 88.55 moveto
+200 79 lineto
+190.45 83.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 195.4 88.55 moveto
+200 79 lineto
+190.45 83.6 lineto
 closepath stroke
 grestore
@@ -751,18 +776,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 237 116 moveto
-231 97 218 56 210 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 213.23 29.57 moveto
-207 21 lineto
-206.52 31.58 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 213.23 29.57 moveto
-207 21 lineto
-206.52 31.58 lineto
+newpath 359 174 moveto
+353 149 334 90 297 58 curveto
+277 41 250 29 227 22 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 227.58 18.52 moveto
+217 19 lineto
+225.57 25.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 227.58 18.52 moveto
+217 19 lineto
+225.57 25.23 lineto
 closepath stroke
 grestore
@@ -772,39 +798,40 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 228 116 moveto
-219 107 206 95 195 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 196.83 82.95 moveto
-187 79 lineto
-192.22 88.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 196.83 82.95 moveto
-187 79 lineto
-192.22 88.22 lineto
-closepath stroke
-grestore
-% Node9->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 274 116 moveto
-302 106 343 92 372 82 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 373.43 85.23 moveto
-382 79 lineto
-371.42 78.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 373.43 85.23 moveto
-382 79 lineto
-371.42 78.52 lineto
+newpath 344 174 moveto
+331 165 311 152 296 142 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 297.44 138.8 moveto
+287 137 lineto
+294.04 144.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 297.44 138.8 moveto
+287 137 lineto
+294.04 144.92 lineto
+closepath stroke
+grestore
+% Node9->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 355 174 moveto
+345 159 326 133 305 116 curveto
+288 102 267 91 248 83 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 249.56 79.86 moveto
+239 79 lineto
+246.72 86.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 249.56 79.86 moveto
+239 79 lineto
+246.72 86.26 lineto
 closepath stroke
 grestore
@@ -816,5 +843,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 492 356
+%%BoundingBox: 36 36 447 356
 end
 restore